import React from "react";
export default function useDrag(): {
    dragStart: (ev: React.MouseEvent) => void;
    dragStop: () => number;
    dragMove: (ev: React.MouseEvent, cb: (posDif: number) => void) => void;
    dragging: boolean;
    position: React.MutableRefObject<number>;
    setDragging: React.Dispatch<React.SetStateAction<boolean>>;
};
